Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004302 [JEDI VCL] 00 JVCL Components feature N/A 2007-12-03 07:40 2008-03-04 02:49
Reporter AlexB View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004302: JvgMailSlot update
Description I've revised JvgMailSlot for my needs.
Perhaps it will be useful for others.
Additional Information 1) Removed:
 - auto-open of server slot
 - auto-send of exception report
2) Added:
 - property for mail checking interval
 - properties and method for sending/receiving of binary data
 - OnError event (instead of raising exception)
3) Fixed:
 - copy/paste typos (useless OnNewMail on client side)
 - some minor things.
Tags No tags attached.
Attached Files ? file icon JvgMailSlots.pas [^] (10,171 bytes) 2007-12-03 07:40

- Relationships

-  Notes
(0014177)
obones (administrator)
2008-02-20 08:40

Thanks, this is now in SVN. Note however that Globus components are deprecated and that updates will be very rare.
(0014266)
AlexB (reporter)
2008-03-03 23:04

> Note however that Globus components are deprecated

IMHO this component should be moved into "main domain" (Jv): the component is wrapper of WinAPI and is not Globus lib specific.
(0014268)
obones (administrator)
2008-03-04 02:49

Then please create an issue requesting this, if need be. The current issue is already dealt with.

- Issue History
Date Modified Username Field Change
2007-12-03 07:40 AlexB New Issue
2007-12-03 07:40 AlexB File Added: JvgMailSlots.pas
2008-02-20 08:40 obones Status new => resolved
2008-02-20 08:40 obones Fixed in Version => Daily / SVN
2008-02-20 08:40 obones Resolution open => fixed
2008-02-20 08:40 obones Assigned To => obones
2008-02-20 08:40 obones Note Added: 0014177
2008-03-03 23:04 AlexB Status resolved => feedback
2008-03-03 23:04 AlexB Resolution fixed => reopened
2008-03-03 23:04 AlexB Note Added: 0014266
2008-03-04 02:49 obones Status feedback => resolved
2008-03-04 02:49 obones Resolution reopened => fixed
2008-03-04 02:49 obones Note Added: 0014268


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker